local AddName, AddonTable = ...
--local L = AddonTable.RegisterLocale("enUS", default)

--if AddonTable.locale == "enUS" or AddonTable.locale == "enGB" then
local L = AddonTable.RegisterLocale("enUS", true)
-- other locale files use:
-- local L = AddonTable.RegisterLocale(GetLocale())

	------------------
	-- 	HUD 	--
	------------------

L["Green"] = "|cff71ffc9"
L["Red"] = "|cffC41E3A"	
L["TipsAndInfo"] = L["Green"] .. "Tips and Info!|r\n\n"
L["SinLive"] = L["Green"] .. "SinLive™ Stat!\nThis stat is interactive and will scale based on your current target!|r\n\n"
L["EnhancedOption"] = L["Green"] .. "[Enhanced]|r " .. "option provides the best accuracy including talents, buffs, potions, enchants and much more\n"
L["BasicOption"] = L["Green"] .. "[Basic]|r " .. "option shows the base value as displayed on the character panel\n\n"
L["AverageOption"] = L["Green"] .. "[Average]|r " .. "option switches from max to average values\n\n"

L["OutOfCombatOption"] = L["Green"] .. "[Out of Combat]|r " .. "option displays the mana regeneration outside of the 5-second rule\n"
L["CastingOption"] = L["Green"] .. "[Casting]|r " .. "option displays the mana regeneration in combat, while casting\n\n"
L["WorldOption"] = L["Green"] .. "[World]|r " .. "option displays the average latency of the connection from your computer to the Blizzard server in milliseconds\n"
L["RealmOption"] = L["Green"] .. "[Realm]|r " .. "option displays the in-game latency of the connection from your computer to the Game World\n\n"
L["MeleeOption"] = L["Green"] .. "[Melee]|r " .. "option displays the melee value of this stat\n"
L["RangedOption"] = L["Green"] .. "[Ranged]|r " .. "option displays the ranged value of this stat\n\n"
L["EquippedOption"] = L["Green"] .. "[Equipped]|r " .. "option displays the equipped average item level\n"
L["OverallOption"] = L["Green"] .. "[Overall]|r " .. "option displays the overall average item level, including gear in bags\n\n"
	

L["CritChance"] = "Crit"
L["CritChanceAbrev"] = "Crit"
L["CritChanceMenu"] = "Critical Chance"
L["CritChanceTip"] = ""
L["CritChanceDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Haste"] = "Haste"
L["HasteAbrev"] = "Has"
L["HasteMenu"] = "Haste"
L["HasteTip"] = ""
L["HasteDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Mastery"] = "Mastery"
L["MasteryAbrev"] = "Mas"
L["MasteryMenu"] = "Mastery"
L["MasteryTip"] = ""
L["MasteryDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Versatility"] = "Versatility"
L["VersatilityAbrev"] = "Ver"
L["VersatilityMenu"] = "Versatility"
L["VersatilityTip"] = ""
L["VersatilityDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Avoidance"] = "Avoidance"
L["AvoidanceAbrev"] = "Mas"
L["AvoidanceMenu"] = "Avoidance"
L["AvoidanceTip"] = ""
L["AvoidanceDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Leech"] = "Leech"
L["LeechAbrev"] = "Lee"
L["LeechMenu"] = "Leech"
L["LeechTip"] = ""
L["LeechDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Strength"] = "Strength"
L["StrengthAbrev"] = "Str"
L["StrengthMenu"] = "Strength"
L["StrengthTip"] = ""
L["StrengthDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"] .. "A red " .. L["Red"] .. "Strength|r text indicates that you are affected by a debuff"

L["Agility"] = "Agility"
L["AgilityAbrev"] = "Agi"
L["AgilityMenu"] = "Agility"
L["AgilityTip"] = ""
L["AgilityDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"] .. "A red " .. L["Red"] .. "Agility|r text indicates that you are affected by a debuff"

L["AP"] = "AP"
L["APAbrev"] = "AP"
L["APMenu"] = "Attack Power"
L["APTip"] = ""
L["APDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"] .. "A red " .. L["Red"] .. "Attack Power|r text indicates that you are affected by a debuff"

L["DMG"] = "Damage"
L["DMGAbrev"] = "DMG"
L["DMGMenu"] = "Damage"
L["DMGTip"] = ""
L["DMGDescription"] = L["TipsAndInfo"] .. L["MeleeOption"] .. L["RangedOption"] .. "A red " .. L["Red"] .. "Damage|r text indicates that you are affected by a debuff related to this stat\nThis stat automatically detects if you're wielding a 1H or 2H and displays the stat accordingly"

L["weaponSpeed"] = "Atk Speed"
L["weaponSpeedAbrev"] = "As"
L["weaponSpeedMenu"] = "Weapon Speed"
L["weaponSpeedTip"] = ""
L["weaponSpeedDescription"] = L["TipsAndInfo"] .. L["MeleeOption"] .. L["RangedOption"] .. "This stat automatically detects if you're wielding a 1H or 2H and displays the stat accordingly"

L["EnergyRegen"] = "Energy Regen"
L["EnergyRegenAbrev"] = "EnR"
L["EnergyRegenMenu"] = "Energy Regen"
L["EnergyRegenTip"] = ""
L["EnergyRegenDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Stamina"] = "Stamina"
L["StaminaAbrev"] = "Sta"
L["StaminaMenu"] = "Stamina"
L["StaminaTip"] = ""
L["StaminaDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"] .. "A red " .. L["Red"] .. "Stamina|r text indicates that you are affected by a debuff related to this stat"

L["Armor"] = "Armor"
L["ArmorAbrev"] = "Arm"
L["ArmorMenu"] = "Armor"
L["ArmorTip"] = ""
L["ArmorDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"] .. "A red " .. L["Red"] .. "Armor|r text indicates that you are affected by a debuff related to this stat"

L["Dodge"] = "Dodge"
L["DodgeAbrev"] = "Dod"
L["DodgeMenu"] = "Dodge"
L["DodgeTip"] = ""
L["DodgeDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Parry"] = "Parry"
L["ParryAbrev"] = "Par"
L["ParryMenu"] = "Parry"
L["ParryTip"] = ""
L["ParryDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Block"] = "Block"
L["BlockAbrev"] = "Blo"
L["BlockMenu"] = "Block"
L["BlockTip"] = ""
L["BlockDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Absorb"] = "Absorb"
L["AbsorbAbrev"] = "Abs"
L["AbsorbMenu"] = "Absorb"
L["AbsorbTip"] = ""
L["AbsorbDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Stagger"] = "Stagger"
L["StaggerAbrev"] = "Stag"
L["StaggerMenu"] = "Stagger"
L["StaggerTip"] = ""
L["StaggerDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Intellect"] = "Intellect"
L["IntellectAbrev"] = "Int"
L["IntellectMenu"] = "Intellect"
L["IntellectTip"] = ""
L["IntellectDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"] .. "A red " .. L["Red"] .. "Intellect|r text indicates that you are affected by a debuff"

L["SpellPower"] = "Spell"
L["SpellPowerAbrev"] = "Sp"
L["SpellPowerMenu"] = "Spell Power"
L["SpellPowerTip"] = ""
L["SpellPowerDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Healing"] = "Healing"
L["HealingAbrev"] = "Heal"
L["HealingMenu"] = "Healing Power"
L["HealingTip"] = ""
L["HealingDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["ManaRegen"] = "MP5"
L["ManaRegenAbrev"] = "MP5"
L["ManaRegenMenu"] = "Mana Regen"
L["ManaRegenTip"] = ""
L["ManaRegenDescription"] = L["TipsAndInfo"] .. L["EnhancedOption"] .. L["BasicOption"]

L["Durability"] = "Durability"
L["DurabilityAbrev"] = "Dur"
L["DurabilityMenu"] = "Durability"
L["DurabilityTip"] = ""
L["DurabilityDescription"] = L["TipsAndInfo"] .. "Durability percentage of your currently equipped gear and weapons"

L["Speed"] = "Speed"
L["SpeedAbrev"] = "Spe"
L["SpeedMenu"] = "Speed"
L["SpeedTip"] = ""
L["SpeedDescription"] = L["TipsAndInfo"] .. "The current movement speed of your character, in real-time.\n\nA red " .. L["Red"] .. "Speed|r value indicates that you are affected by slowing effects or moving at a slower speed than normal"

L["TargetSpeed"] = "Target Speed"
L["TargetSpeedAbrev"] = "Spe+"
L["TargetSpeedMenu"] = "Target Speed"
L["TargetSpeedTip"] = ""
L["TargetSpeedDescription"] = L["TipsAndInfo"] .. "The current movement speed of your target, in real-time\n\n" .. L["Red"] .. "Speed|r value in red indicates that your target is affected by slowing effects or moving at a slower speed than normal"

L["ItemLevel"] = "Item Level"
L["ItemLevelAbrev"] = "iLvl"
L["ItemLevelMenu"] = "Item Level"
L["ItemLevelTip"] = ""
L["ItemLevelDescription"] = L["TipsAndInfo"] .. L["EquippedOption"] .. L["OverallOption"] .. "Item Level"

L["Lag"] = "Ping"
L["LagAbrev"] = "Ping"
L["LagMenu"] = "Ping"
L["LagTip"] = ""
L["LagDescription"] = L["TipsAndInfo"] .. L["WorldOption"] ..  L["RealmOption"] .. "Connection latency (Ping)"

L["FPS"] = "FPS"
L["FPSAbrev"] = "FPS"
L["FPSMenu"] = "FPS"
L["FPSTip"] = ""
L["FPSDescription"] = L["TipsAndInfo"] .. "Frames per second [FPS]"

L["Gold"] = "Gold"
L["GoldAbrev"] = "G"
L["GoldMenu"] = "Money"
L["GoldTip"] = ""
L["GoldDescription"] = L["TipsAndInfo"] .. "Total amount of money in your character's possession"


-- Fonts
L["Default Font"] = "Friz Quadrata TT"
L["Thin"] = "Thin"
L["Thick"] = "Thick"
L["Monochrome"] = "Monochrome"
L["Thin Monochrome"] = "Thin Monochrome"
L["Thick Monochrome"] = "Thick Monochrome"
L["None"] = "None"



------------------
--    Config    --
------------------

-- Settings tabs
L["HUDMenu"] = "HUD"
L["FontsMenu"] = "Fonts"
L["DisplayMenu"] = "Display"
L["ProfilesMenu"] = "Profiles"

-- Settings HUD
L["SettingsDescription"] = ""
L["HideHUD"] = "Hide"
L["HideHUDTip"] = "Hide, Lock or Reset the stats HUD's position"
L["LockHUD"] = "Lock"
L["LockHUDTip"] = ""
L["ResetPosition"] = "Reset Position"
L["ResetPositionTip"] = ""
L["MinimapGroupText"] = "Minimap"
L["Minimap"] = "Show"
L["MinimapTip"] = "Show the button. Hover to see quick access"

-- Fonts Settings
L["StatFontTip"] = "Fonts"
L["StatFontSizeTip"] = "Font Size"
L["StatFontFlagsTip"] = "Outline"

-- Display Settings
-- L["StatIconsTip"] = "Stats icons"
-- L["StatIcons"] = "Enable"
-- L["StatTextAbreviateTip"] = "Abbreviate stats"
-- L["StatTextAbreviate"] = "Enable"
-- L["StatTextCapsTip"] = "All caps stats"
-- L["StatTextCaps"] = "Enable"
-- L["GroupOrderTip"] = "Order stats by group"
-- L["GroupOrder"] = "Enable"

-- Display Settings
L["StatIconsTip"] = ""
L["StatIcons"] = "Stats icons"
L["StatTextAbreviateTip"] = ""
L["StatTextAbreviate"] = "Abbreviate stats"
L["StatTextCapsTip"] = ""
L["StatTextCaps"] = "All caps stats"
L["GroupOrderTip"] = ""
L["GroupOrder"] = "Order stats by group"
L["VerticalGroupText"] = "Alignment and Spacing"
L["VerticalTip"] = "Vertical & Horizontal"
L["Vertical"] = "Vertical"
L["StatSpacingHTip"] = "Horizontal Spacing"
L["StatSpacingVTip"] = "Vertical Spacing"
L["StatAlignmentTip"] = "Alignment"
L["StatRowsTip"] = "Rows"

-- Minimap
L["LeftClick"] = "Quick Access"
L["OpenClose"] = ""
L["RightClick"] = "Right Click"
L["EnableDisable"] = "|cffFFF468Enable/Disable|r the HUD"
L["ShiftRightClick"] = "Shift + Right Click"
L["UnlockHUD"] = "|cffFFF468Lock/Unlock|r the HUD"

-- Settings Profile
L["Selected"] = "Apply"
L["SelectProfile"] = "Manage your profiles: Select, Create, Copy or Delete. \nProfiles used by a character cannot be deleted. A different profile must be selected first."
L["ProfileSelected"] = "Profiles"
L["ProfileUsed"] = "Profile is currently in use, unable to delete!"
L["NewProfile"] = "Create New Profile"
L["CurrentProfile"] = "Active Profile"
L["Copy"] = "Apply"
L["Delete"] = "Delete"
L["ConfirmDelete"] = "Confirm"
L["Cancel"] = "Cancel"
L["ProfileCopyDelete"] = "Select, delete or copy to new profile."

-- Settings Options
L["OptionsTip"] = "Extended Options"
L["Show"] = "Show"
L["ShowTip"] = ""
L["Enhanced"] = "Enhanced"
L["Base"] = "Basic"
L["Damage"] = "Damage & Healing"
L["DamageTaken"] = "Damage Taken"
L["World"] = "World"
L["Realm"] = "Realm"
L["Average"] = "Average"
L["Both"] = "Both"

L["Settings"] = "Settings"
L["SettingsDescription"] = ""

L["Physical"] = "Physical"
L["PhysicalDescription"] = ""

L["Enhancement"] = "Enhancement"
L["EnhancementDescription"] = ""

L["Spell"] = "Spell"
L["SpellDescription"] = ""

L["Misc"] = "Misc"
L["MiscDescription"] = ""

L["Display_Average"] = "Average"
L["Display_AverageTip"] = ""
